﻿Imports System.Windows.Controls
Imports System.Collections.ObjectModel

Namespace ListViewTest.Test2

    Partial Public Class ListViewTest
        Inherits Window

        Private _FutebolCollection As New ObservableCollection(Of FutebolDados)()

        Private Sub IncluirLinha_Click(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles IncluirLinha.Click
            _FutebolCollection.Add(New FutebolDados() With { _
             .Time = "Um novo time", _
             .Treinador = "Um novo treinador", _
             .Jogador = "Um novo jogador" _
            })
        End Sub

        Public Sub New()
            _FutebolCollection.Add(New FutebolDados() With { _
             .Time = "Flamento", _
             .Treinador = "Andrade", _
             .Jogador = "Adriano" _
            })
            _FutebolCollection.Add(New FutebolDados() With { _
             .Time = "Santos", _
             .Treinador = "Dorival", _
             .Jogador = "Robinho" _
            })
            _FutebolCollection.Add(New FutebolDados() With { _
             .Time = "Palmeiras", _
             .Treinador = "Felipão", _
             .Jogador = "Kleber" _
            })
            InitializeComponent()
        End Sub

        Public ReadOnly Property FutebolCollection() As ObservableCollection(Of FutebolDados)
            Get
                Return _FutebolCollection
            End Get
        End Property
    End Class

    Public Class FutebolDados
        Public Property Time() As String
            Get
                Return m_Time
            End Get
            Set(ByVal value As String)
                m_Time = value
            End Set
        End Property
        Private m_Time As String
        Public Property Treinador() As String
            Get
                Return m_Treinador
            End Get
            Set(ByVal value As String)
                m_Treinador = value
            End Set
        End Property
        Private m_Treinador As String
        Public Property Jogador() As String
            Get
                Return m_Jogador
            End Get
            Set(ByVal value As String)
                m_Jogador = value
            End Set
        End Property
        Private m_Jogador As String
    End Class
End Namespace
